module command.remoteundostatusmacro.lightoffcommand;

import command.remoteundostatusmacro.command;
import command.remoteundostatusmacro.light;

class LightOffCommand : Command
{
    Light light;

    this(Light light)
    {
        this.light = light;
    }

    void execute()
    {
        light.off();
    }

    void undo()
    {
        light.on();
    }
}
